> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathors.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tools

> List all tools for a project

## Request

```bash theme={null}
GET https://api.pathors.com/v1/projects/{projectId}/tools
```

### Path Parameters

<ParamField path="projectId" type="string" required>The project ID</ParamField>

### Headers

<ParamField header="Authorization" type="string" required>
  Bearer token using your developer key
</ParamField>

## Response

<ResponseField name="data" type="array">
  Array of tool objects with `id`, `type`, `name`, `description`, `metadata`, and `inputSchema`.
</ResponseField>

### Example

```bash theme={null}
curl https://api.pathors.com/v1/projects/{projectId}/tools \
  -H "Authorization: Bearer dk_your_key"
```

```json theme={null}
{
  "data": [
    {
      "id": "tool-uuid",
      "type": "restful",
      "name": "search-api",
      "description": "Search the database",
      "metadata": { "url": "https://api.example.com/search", "method": "GET" },
      "inputSchema": { "type": "object", "properties": { "query": { "type": "string" } } }
    }
  ]
}
```
